import 'package:flutter/material.dart';

class ConstraintsCanvas extends StatelessWidget {
  final Widget child;
  final double maxWidth;

  const ConstraintsCanvas({Key key, this.maxWidth = 1200, @required this.child})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Center(
        child: ConstrainedBox(
          constraints: BoxConstraints(maxWidth: this.maxWidth, minWidth: 460),
          child: Container(
            width: double.infinity,
            child: this.child,
          ),
        ),
      ),
    );
  }
}
